const Map<String, String> enCommon = {
  'copy': 'Copy ',
  'edit': 'Edit',
  'delete': 'Delete',
  'success': 'Success',
  'fail': 'Failed',
  'ok': 'OK',
  'cancel': 'Cancel',
  'detail': 'Detail',
  'next': 'Next',
  'note': 'Note',
  'loading': 'Loading...',
  'assets': 'Assets',
  'profile': 'Profile',
  'list.loading': 'Loading...',
  'list.empty': 'No data',
  'list.end': 'No more data',
  'tx.submit': 'Submit',
  'tx.from': 'Sign from',
  'tx.network': 'Network',
  'tx.network.no': 'Not connected',
  'tx.call': 'Calling',
  'tx.proxy': 'sign with proxy account',
  'tx.proxy.brief':
      '\nA recoverable account can\nsend Tx through a proxy account\n',
  'tx.proxy.invalid': 'Invalid proxy account',
  'tx.fee': 'Fees',
  'tx.tip': 'Tips',
  'tx.tip.brief':
      '\nAdding a tip to this Tx, paying\nthe block author for greater priority.\n',
  'tx.cancelled': 'Tx Cancelled',
  'tx.wait': 'Waiting',
  'tx.Ready': 'Ready',
  'tx.Broadcast': 'Broadcast',
  'tx.Inblock': 'Inblock',
  'tx.qr': 'Sign via QR',
  'tx.no.sign': 'Submit (no sign)',
  'tx.disabledCall': 'temporarily unavailable',
  'tx.params': 'Params',
  'uos.scan': 'Scan signed and send',
  'uos.qr.invalid': 'Invalid QR code',
  'uos.warn':
      'Safety Warning!!! DO NOT send this QR to anyone or you may LOSE your assets!!!',
  'uos.pass.warn':
      'Safety Warning!!! You are using offline signature to send transaction!!! Please make sure you fully understand the security risks of this operation!!!',
  'unlock': 'Unlock Account with Password',
  'pass.old': 'Current Password',
  'pass.invalid': 'Invalid Password',
  'pass.error': 'Wrong Password',
  'pass.error.text': 'Failed to unlock account, please check password.',
  'pass.checking': 'Checking password...',
  'submit.sign': 'Sign',
  'submit.sign.tx': 'Sign Transaction',
  'submit.sign.msg': 'Sign Message',
  'submit.signer': 'Signer',
  'exit.confirm': 'Do you want to exit the App?',
  'amount.error': 'Invalid amount',
  'address.error': 'Invalid address',
  'scan.help': 'Please put the QR code in the box',
  'balance': 'Balance',
  'max': 'Max',
  'nominate.active': 'Active',
  'nominate.over': 'Oversubscribed',
  'nominate.inactive': 'Inactive',
  'nominate.waiting': 'Waiting',
  'dApp.auth': 'Approve authorization',
  'dApp.connect.tip':
      'Only approve this request if you trust the application. Approving gives the application access to the addresses of your accounts.',
  'dApp.connect.allow': 'Allow Access',
  'dApp.connect.reject': 'Reject',
  'dApp.confirm.title': 'Transaction & Sign',
  'dApp.confirm': 'Confirm',
};

const Map<String, String> zhCommon = {
  'copy': '复制',
  'edit': '编辑',
  'delete': '删除',
  'success': '成功',
  'fail': '失败',
  'ok': '确认',
  'cancel': '取消',
  'detail': '详情',
  'next': '下一步',
  'note': '提示',
  'loading': '载入中。。。',
  'assets': '资产',
  'profile': '我的',
  'list.loading': '正在加载',
  'list.empty': '暂无数据',
  'list.end': '加载完毕',
  'tx.submit': '发送交易',
  'tx.from': '签名账户',
  'tx.network': '网络',
  'tx.network.no': '未连接',
  'tx.call': '调用',
  'tx.proxy': '使用代理账户签名',
  'tx.proxy.brief': '\n完成社交恢复流程的账户\n可以使用代理账户发送交易\n',
  'tx.proxy.invalid': '代理账户无效',
  'tx.fee': '交易费',
  'tx.tip': '小费',
  'tx.tip.brief': '\n为出块人支付额外的费用，\n可以提高交易打包优先级。\n',
  'tx.cancelled': '交易取消',
  'tx.wait': '等待发送',
  'tx.Ready': '准备广播',
  'tx.Broadcast': '正在广播',
  'tx.Inblock': '已被打包',
  'tx.qr': '二维码签名',
  'tx.no.sign': '发送(不签名)',
  'tx.disabledCall': '暂不可用',
  'tx.params': '参数',
  'uos.scan': '扫描签名结果并发送',
  'uos.qr.invalid': '无效二维码',
  'uos.warn': '安全警告!!! 不要将该二维码发送给任何人!!! 泄露该二维码会导致账户资产丢失!!!',
  'uos.pass.warn': '安全警告!!! 您正在使用离线签名发送交易，请确保自己完全理解当前操作的安全风险!!!',
  'unlock': '使用密码解锁账户',
  'pass.old': '当前密码',
  'pass.invalid': '密码错误',
  'pass.error': '密码错误',
  'pass.error.text': '解锁账户失败，请检查密码',
  'pass.checking': '校验密码...',
  'submit.sign': '签名',
  'submit.sign.tx': '签名交易',
  'submit.sign.msg': '签名消息',
  'submit.signer': '签名账户',
  'exit.confirm': '确定要退出 App 吗？',
  'amount.error': '格式错误',
  'address.error': '格式错误',
  'scan.help': '请将二维码置于方框中',
  'balance': '余额',
  'max': '最大值',
  'nominate.active': '活跃',
  'nominate.over': '超额认购',
  'nominate.inactive': '不活跃',
  'nominate.waiting': '等待',
  'dApp.auth': '授权',
  'dApp.connect.tip': '请在信任该网站的情况下选择允许访问，授权后该网站可以访问您的钱包地址。',
  'dApp.connect.allow': '允许访问',
  'dApp.connect.reject': '拒绝',
  'dApp.confirm.title': '交易 & 签名',
  'dApp.confirm': '确认',
};
